Skip to content
Start here

Select region

PUT/accounts/{account_id}/zerotrust/region

Selects the region that the account uses for Cloudflare One. The region must be one of the account’s available regions. Selecting the active region again has no effect.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Path ParametersExpand Collapse
account_id: string

Cloudflare account ID

maxLength32
Body ParametersJSONExpand Collapse
region_key: string

The key of a Data Localization Suite region.

minLength1
ReturnsExpand Collapse
errors: array of object { code, message, context }
code: number
minimum1000
message: string
context: optional map[unknown]

Optional error-specific context.

messages: array of object { code, message, context }
code: number
minimum1000
message: string
context: optional map[unknown]

Optional error-specific context.

result: ActiveAccountRegion { region_key }
region_key: string

The key of the account’s active Data Localization Suite region, or null if the account has not selected a region.

minLength1
success: true

Whether the API call was successful

Select region

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/zerotrust/region \
    -X PUT \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
    -d '{
          "region_key": "eu"
        }'
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "context": {
        "foo": "bar"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "context": {
        "foo": "bar"
      }
    }
  ],
  "result": {
    "region_key": "eu"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "context": {
        "foo": "bar"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "context": {
        "foo": "bar"
      }
    }
  ],
  "result": {
    "region_key": "eu"
  },
  "success": true
}